

import pygame

class Input:
	@classmethod
	def joystr(self,val):
		if(val[0]==0): first="axis #"
		else: first="button #"
		
		second=str(val[1]+1)
		third=""
		
		if(val[0]==0):
			if(val[2]==1):third="+"
			else: third="-"
			
		return first + second + third
		
	@classmethod
	def mapjoy(self,app):
		nval=app.menumap[1]
		knapp=app.joystick.mapcheck()
		
		if not knapp[0]==-1:
			app.menumap=[0,0]
			if(nval==0): app.settings.joy.up=knapp
			if(nval==1): app.settings.joy.down=knapp
			if(nval==2): app.settings.joy.left=knapp
			if(nval==3): app.settings.joy.right=knapp
			if(nval==4): app.settings.joy.action=knapp
			if(nval==5): app.settings.joy.special=knapp
			
			mjoy=app.settings.joy
			
			app.menu.drawlist[6].drawlist[1][2]=self.joystr(mjoy.up)
			app.menu.drawlist[6].drawlist[2][2]=self.joystr(mjoy.down)
			app.menu.drawlist[6].drawlist[3][2]=self.joystr(mjoy.left)
			app.menu.drawlist[6].drawlist[4][2]=self.joystr(mjoy.right)
			app.menu.drawlist[6].drawlist[5][2]=self.joystr(mjoy.action)
			app.menu.drawlist[6].drawlist[6][2]=self.joystr(mjoy.special)
		
		
	@classmethod
	def mapkey(self,app,mkey):
		nval=app.menumap[1]
		if(mkey>=97 and mkey<=122 or mkey>=273 and mkey<=276 or mkey >= 303 and mkey <= 306 or mkey == 32 or mkey == 13 or mkey >= 48 and mkey <=57):
			app.menumap=[0,0]
		
		if(app.menumap[0]==0):
			if(nval==0): app.settings.keys.up=mkey
			if(nval==1): app.settings.keys.down=mkey
			if(nval==2): app.settings.keys.left=mkey
			if(nval==3): app.settings.keys.right=mkey
			if(nval==4): app.settings.keys.action=mkey
			if(nval==5): app.settings.keys.special=mkey
			
			akey=app.settings.keys
			app.menu.drawlist[5].drawlist[0][2]=self.keystr(akey.up)
			app.menu.drawlist[5].drawlist[1][2]=self.keystr(akey.down)
			app.menu.drawlist[5].drawlist[2][2]=self.keystr(akey.left)
			app.menu.drawlist[5].drawlist[3][2]=self.keystr(akey.right)
			app.menu.drawlist[5].drawlist[4][2]=self.keystr(akey.action)
			app.menu.drawlist[5].drawlist[5][2]=self.keystr(akey.special)
	
	@classmethod
	def keystr(self,val):
		return pygame.key.name(val)
