
from itertools import izip,count

import pygame

class Pad:
	numButtons=0
	numAxis=0

class Joystick:				#Font class
	
	numjoy=0
	stix=[]
	active=0

	def setjoys(self,num):
		for i in xrange(num):
			#self.stix[0]=pygame.joystick.Joystick(0)
			self.stix.append(pygame.joystick.Joystick(0))
			self.stix[i].init()

	def mapcheck(self):
		retval=[-1,-1,-1]
		for i in xrange(self.stix[self.active].get_numaxes()):
			if(self.stix[self.active].get_axis(i)>0.5):
				retval=[0,i,1]
			if(self.stix[self.active].get_axis(i)<-0.5):
				retval=[0,i,-1]
				
		for i in xrange(self.stix[self.active].get_numbuttons()):
			if(self.stix[self.active].get_button(i)==True):
				retval=[1,i]
				
		return retval
				
	def checksingle(self,theone):
		axis,button = 0,1
		
		if(theone[0]==axis):
			if self.stix[self.active].get_axis(theone[1])>0.5 and theone[2]==1: return True
			if self.stix[self.active].get_axis(theone[1])<-0.5 and theone[2]==-1: return True
			
		if(theone[0]==button):
			return self.stix[self.active].get_button(theone[1])
			
		return False
				
	def check(self,joyconf,keyconf,usejoy):
		buttons = [False]*6
		pressedkeys = pygame.key.get_pressed()
		keymap = [keyconf.up,keyconf.down,keyconf.left,keyconf.right,keyconf.special,keyconf.action]
		for i,km in izip(count(),keymap):
			buttons[i] |= pressedkeys[km]
			
		if len(self.stix) != 0 and usejoy != 0:
			joybtns = self.checkJoy(joyconf)
			buttons = [ a|b for a,b in izip(buttons,joybtns)]
		return buttons
	
	def checkJoy(self,map):
		return [self.checksingle(map.up),self.checksingle(map.down),
			self.checksingle(map.left),self.checksingle(map.right),
			self.checksingle(map.special),self.checksingle(map.action)]
		
	def setnextactive(self):
		if not self.numjoy == 0:
			self.active+=1
			if self.active>=self.numjoy: self.active = 0
			print "joy changed: " + str(self.active)


