
import pygame
from pygame.locals import *

from OpenGL.GL import *

from cGraphicsContainer import GraphicsContainer

class Screen(GraphicsContainer):
	def __init__(self):
		GraphicsContainer.__init__(self)

		self.res = (640,480)
		#self.res = (320,240)

		xres,yres = self.res
		self.ratio = float(xres)/float(yres)
	
		pygame.init()
		pygame.display.set_mode(self.res,OPENGL|DOUBLEBUF,24)
			
		glShadeModel(GL_FLAT)
		glMatrixMode(GL_PROJECTION)
		glLoadIdentity()
		glOrtho(-xres/2,xres/2,-yres/2,yres/2,0,1)
		
		glMatrixMode(GL_MODELVIEW)
		glLoadIdentity()

		glClearColor(1,1,1,0)
		glClearDepth(1)

		glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA)
		

